Package com.ocient.util

# Class MockQueryRegistry.ExternalConfig

java.lang.Object
com.ocient.util.MockQueryRegistry.ExternalConfig

Enclosing class:
  `MockQueryRegistry`

public static class MockQueryRegistry.ExternalConfig extends Object
Externalized query configuration.

## Constructor Summary

Constructors
Constructor
Description
`ExternalConfig()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAnnotation()`
`MockQueryRegistry.FetchArgs`
`getFetchArgs()`
`String`
`getIdentifier()`
`MockQueryRegistry.QueryArgs`
`getQueryArgs()`
`void`
`setAnnotation(String annotation)`
`void`
`setFetchArgs(MockQueryRegistry.FetchArgs fetchArgs)`
`void`
`setIdentifier(String identifier)`
`void`
`setQueryArgs(MockQueryRegistry.QueryArgs queryArgs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExternalConfig

public ExternalConfig()

## Method Details

### getFetchArgs

public MockQueryRegistry.FetchArgs getFetchArgs()

### setFetchArgs

public void setFetchArgs(MockQueryRegistry.FetchArgs fetchArgs)

### getQueryArgs

public MockQueryRegistry.QueryArgs getQueryArgs()

### setQueryArgs

public void setQueryArgs(MockQueryRegistry.QueryArgs queryArgs)

### getIdentifier

public String getIdentifier()

### setIdentifier

public void setIdentifier(String identifier)

### getAnnotation

public String getAnnotation()

### setAnnotation

public void setAnnotation(String annotation)